Ping retry

The single ping method in the validation script is causing for
deployments to fail. When reviewing the network connectivity, we are
finding we actually do have connectivity
( https://gist.github.com/jtaleric/0276a117625e44993be0 ). This patch is
to change the ping count from 1 to 10, to ensure the network is up.

Closes-Bug: 1563521
Change-Id: I9772407554dffa91978a49a16490ef9ed448a054
This commit is contained in:
Joe Talerico 2016-03-29 14:10:20 -04:00
parent 7d704fbd07
commit 570c690bfb
1 changed files with 13 additions and 7 deletions

View File

@ -20,9 +20,12 @@ function ping_controller_ips() {
echo -n "Trying to ping $REMOTE_IP for local network $LOCAL_NETWORK..."
set +e
if ! $ping -W 300 -c 1 $REMOTE_IP &> /dev/null; then
echo "FAILURE"
echo "$REMOTE_IP is not pingable. Local Network: $LOCAL_NETWORK" >&2
exit 1
# If the first ping attempt fails, retry.
if ! $ping -W 300 -c 10 $REMOTE_IP &> /dev/null; then
echo "FAILURE"
echo "$REMOTE_IP is not pingable. Local Network: $LOCAL_NETWORK" >&2
exit 1
fi
fi
set -e
echo "SUCCESS"
@ -40,10 +43,13 @@ function ping_default_gateways() {
set +e
for GW in $DEFAULT_GW; do
echo -n "Trying to ping default gateway ${GW}..."
if ! ping -c 1 $GW &> /dev/null; then
echo "FAILURE"
echo "$GW is not pingable."
exit 1
if ! $ping -c 1 $GW &> /dev/null; then
# If the first ping attempt fails, retry.
if ! $ping -c 10 $GW &> /dev/null; then
echo "FAILURE"
echo "$GW is not pingable."
exit 1
fi
fi
done
set -e